.fadeInOut {
    transition-duration: "0, 200ms";
    transition-property: "visibility, opacity";
    transition-delay: 0;
}
.fadeInOut.hidden {
    visibility: hidden;
    opacity: 0;
    transition-duration: "200ms, 0";
    transition-property: "opacity, visibility";
    transition-delay: "0, 200ms";
}

.card-collapsed .card-options a.card-options-fullscreen{
    display: none;
}

.card-header.card-options-collapse:hover{
    background-color: #111;
}
.card-collapsed .card-header.card-options-collapse:hover{
    /*background-color: #f7b731;*/
    color: #f7b731;
}

.card-collapsed .card-options-onlyopen{
    display: none;
}
.card-options-onlyclose{
    display: none;
}
.card-collapsed .card-options-onlyclose{
    display: block;
}

.card-fullscreen{
    position: fixed !important;
    margin-top: 18px !important;º
    margin-left: 18px !important;
    margin-right: 18px !important;
    margin-bottom: 18px !important;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: calc(100% - 18px);
    height: calc(100% - 18px);
    z-index: 99;
    overflow-y: auto;
}
.app-sidebar{
    overflow-x: hidden; overflow-y: auto;
}
.sidebar-right{
    overflow-y: auto !important;
}
/* .card-fullscreen .card-body .row, */
.card-fullscreen .fscreen_fheight{
    height: auto;
}
@media (max-width: 991px) {
    .app.sidebar-mini.sidebar-gone.sidenav-toggled .app-sidebar {
      top: 64px;
    }
    .sidebar-mini .responsive-navbar .navbar-collapse, .responsive-navbar .navbar-collapse {
        margin-top: 62px !important;
    }
}
@media (min-width: 576px) {
    .card-fullscreen .fscreen_fheight{
        max-height:100%;
        height: 100%;
    }
}

.tooltip{
    z-index: 9999;
}

.nNegative{
    color: #e82646;
}
.nPositive{
    color: #09ad95;
}

.symbol-logo {
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
    max-width: 120px;
    aspect-ratio: 1/1;
    margin: 0 auto;
    /* border-radius: 50%; */
    padding: 5px;
}

.dark-mode .table-responsive table th{
    /* color: var(--dark-primary-bg-color); */
    color: #aaa;
}
.dark-mode .table-responsive .dtr-details{
    display: flex!important;
    flex-wrap: wrap;
    align-items: flex-end !important;
}
.dark-mode .table-responsive .dtr-details li{
    margin-left: 6px;
}
.dark-mode .table-responsive .dtr-details .dtr-title:after{
    content: ": ";
}
.dark-mode .table-responsive .dtr-details .dtr-title{
    color: #aaa;
    /* color: var(--dark-primary-bg-color); */
    font-weight: normal;
}

.bodyLogin.sidebar-mini footer.footer{
    padding-left: 20px;
}
.bodyLogin .app-content {
    margin-left: 20px;
}

.container-login100{
    height: auto;
    display: block;
    width: auto;
    min-width: 33vw;
    max-width: 639px;
    margin-left: auto;
    margin-right: auto;
}


.profile-cover__img {
    display: initial;
    border-radius: 11px;
    color: #fff;
    position: relative;
    left: 0;
    top: 0;
    text-align: center;
    z-index: 1;

}

.profile-cover__img .profile-img-1>img {
    max-width: 120px;
    border: 5px solid #ffffff;
    border-radius: 50%;
    margin-top: 0;
    margin-left: 0;
}

.profile-cover__img .profile-img-content {
    margin-top: 0;
    display: flex;
    margin-left: 0;
}

.profile-cover__img>.h3 {
    color: #393939;
    font-size: 20px;
    line-height: 30px;
}

.dark-mode .backtestTotal{
    color: white;
}
.dark-mode .backtestTotal .calendar_type_btn{
    background-color: #333!important;
}
.dark-mode .backtestTotal .container_full{

}

.showover_inner{
    display: none;
}
.showover_outer:hover > .showover_inner{
    display: inline;
}

#global-loader{
    background-color: #262626; /*#1e1608;*/
}

.noSidebar .app-content {
    margin-left: 19px;
}
.noSidebar footer.footer {
    padding-left: 19px;
}

.text-sell {
    color: #ec4662 !important;
}
.text-buy {
    color: #2b2f7c !important;
}

.text-high {
    color: #66EEC5 !important;
}

.text-low {
    color: #EE66C5 !important;
}

.text-deviation {
    color: #FBB034 !important;
}

.text-volatility {
    color: #F999B9 !important;
}

.text-beta {
    color: #45AAF2 !important;
}

.bg-high {
    background-color: #66EEC5 !important;
}

.bg-low {
    background-color: #EE66C5 !important;
}

.bg-deviation {
    background-color: #FBB034 !important;
}

.bg-volatility {
    background-color: #F999B9 !important;
}

.bg-beta {
    background-color: #45AAF2 !important;
}

.border-purple {
    border: 1px solid purple !important;
}



/* DATATABLE SCROLLBAR STYLE
/* Webkit (Chrome, Safari, ecc.) */
.dataTables_scrollBody::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}
.dataTables_scrollBody::-webkit-scrollbar-thumb {
    background: #a25d40 !important;
    border-radius: 2px;
}
.dataTables_scrollBody::-webkit-scrollbar-thumb:hover {
    background: #888 !important;
}
/* others */
.dataTables_scrollBody {
    /* scrollbar-color: #fff #909090 !important; */
    scrollbar-color: #fff #4d403a !important;
    scrollbar-width: thin;
}


/* JQGRID */
.dark-mode .ui-jqgrid-btable tbody tr{
    color: #d9d9d9;
}

.smanyhidden{
    display:none!important;
}

.modal{
    z-index: 10000;
}